Bug 250410 - kpilot crashes whenever HotSynch is pushed
kpilot crashes whenever HotSynch is pushed
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-08-01 09:45 EDT by Darryl L. Pierce
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:03:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2007-08-01 09:45:11 EDT
I recently installed a fresh Fedora 7 instance on my laptop. I selected KDE as
the desktop and installed kdepim.

After getting things setup, I started kpilot and began the configuration
process. I had to manually add a rule to udev to create /dev/pilot when my
Tungsten is connected. I then set /dev/pilot as the device for synching. When
kpilot told me to press HotSynch on the cable so it could grab my user info from
the PDA, I did so. Kpilot immediately exited with an error. Each time I try to
do that, kpilot exits in exactly the same way.
Comment 1 Neil Horman 2007-08-01 11:46:20 EDT
do you have the error message handy? A back trace or core dump of the
application?  I don't have an F-7 box handy to plug my treo into. 
Comment 2 David W. Legg 2007-12-21 15:53:31 EST
1. Start kpilot and plug in Tungsten T3
2. Disable Address Book conduit.
3. Perform Full Sync (no problems).
4. Enable Address Book conduit.
5. Perform Hot Sync (say)
6. Get this in the log file:-

20:46:18  Doing regular sync...
20:46:18 [Conduit abbrowser_conduit]

7. and this message from kpilot itself:-
kpilotDaemon crashed and caused the signal 11.

8. Running kpilotDaemon on its own in a shell without kpilot gives this on a hot
kpilotDaemon --nofork
ASSERT: "!name.isEmpty()" in kinstance.cpp (76)
KCrash: Application 'kpilotDaemon' crashing...
Comment 3 Brian Powell 2008-04-25 00:21:58 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.
Comment 4 Darryl L. Pierce 2008-04-25 09:02:09 EDT
Hey, Brian, the data *was* provided by David W. Legg on 21DEC2007. What more did
you want for this bug?
Comment 5 Bug Zapper 2008-05-14 09:48:35 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 22:03:18 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.